Skip to main content
GET
/
providers
/
{provider}
/
search
Search files in an external provider
curl --request GET \
  --url https://api.veryfront.com/providers/{provider}/search \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "<string>",
      "name": "<string>",
      "path": "<string>",
      "mimeType": "<string>",
      "size": 123,
      "isFolder": true,
      "modifiedAt": "<string>",
      "thumbnail": "<string>"
    }
  ],
  "nextCursor": "<string>"
}

Authorizations

Authorization
string
header
required

Authentication via JWT token or API key. JWT: Get from Veryfront dashboard. API Key: Format "vf__" - create via /api-keys endpoint.

Path Parameters

provider
string
required

Query Parameters

projectId
string<uuid>
required
query
string
required
Minimum string length: 1
folderId
string

Response

Search results

items
object[]
required
nextCursor
string